diff -u scripts.old/3d-outline.scm scripts/3d-outline.scm
--- scripts.old/3d-outline.scm	Sat Nov  7 18:05:50 1998
+++ scripts/3d-outline.scm	Sat Nov  7 20:12:35 1998
@@ -23,7 +23,7 @@
 
 (define (script-fu-3d-outline-logo text-pattern text size font outline-blur-radius shadow-blur-radius bump-map-blur-radius noninteractive s-offset-x s-offset-y)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
-         (text-layer (car (gimp-text img -1 0 0 text 30 TRUE size PIXELS "*" font "*" "*" "*" "*")))
+         (text-layer (car (gimp-text-fontname img -1 0 0 text 30 TRUE size PIXELS font)))
          (width (car (gimp-drawable-width text-layer)))
          (height (car (gimp-drawable-height text-layer)))
          (bg-layer (car (gimp-layer-new img width height RGB_IMAGE "Background" 100 NORMAL)))
@@ -83,8 +83,8 @@
                     ""
 		    SF-PATTERN "Pattern" "Parque #1"
                     SF-STRING "Text String" "The Gimp"
-                    SF-VALUE "Font Size (in pixels)" "100"
-                    SF-STRING "Font" "Roostheavy"
+                    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+                    SF-FONT "Font" "-*-Roostheavy-*-r-*-*-24-*-*-*-p-*-*-*"
                     SF-VALUE "Outline blur radius" "5"
                     SF-VALUE "Shadow blur radius" "10"
                     SF-VALUE "Bump-map (alpha layer) blur radius" "5"
diff -u scripts.old/3dTruchet.scm scripts/3dTruchet.scm
--- scripts.old/3dTruchet.scm	Tue Jul 14 00:21:41 1998
+++ scripts/3dTruchet.scm	Sat Nov  7 18:56:00 1998
@@ -166,24 +166,7 @@
 		    SF-COLOR "Background Color" '(255 255 255)
 		    SF-COLOR "Begin Blend" '(0 0 0)
 		    SF-COLOR "End Blend" '(255 255 255)
-		    SF-VALUE "Supersample" "TRUE"
+		    SF-TOGGLE "Supersample?" TRUE
 		    SF-VALUE "Number of Xtiles" "5"
 		    SF-VALUE "Number of Ytiles" "5"
 		    )
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
diff -u scripts.old/alien-glow-logo.scm scripts/alien-glow-logo.scm
--- scripts.old/alien-glow-logo.scm	Wed Aug  5 22:35:31 1998
+++ scripts/alien-glow-logo.scm	Sat Nov  7 20:12:21 1998
@@ -6,7 +6,7 @@
 	 (border (/ size 4))
 	 (grow (/ size 30))
 	 (feather (/ size 4))
-	 (text-layer (car (gimp-text img -1 0 0 text border TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text border TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (bg-layer (car (gimp-layer-new img width height RGB_IMAGE "Background" 100 NORMAL)))
@@ -45,6 +45,6 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "ALIEN"
-		    SF-VALUE "Font Size (in pixels)" "150"
-		    SF-STRING "Font" "futura_poster"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-futura_poster-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Glow Color" '(63 252 0))
diff -u scripts.old/asc2img.scm scripts/asc2img.scm
--- scripts.old/asc2img.scm	Wed Aug  5 22:35:32 1998
+++ scripts/asc2img.scm	Sat Nov  7 20:15:44 1998
@@ -153,7 +153,7 @@
 			)
 		)
 
-  (set! theText (car (gimp-text theImage 
+  (set! theText (car (gimp-text-fontname theImage 
 				-1 
 				0 
 				0 
@@ -162,12 +162,7 @@
 				TRUE
 				inFontSize
 				PIXELS 
-				"*" 
-				inFont
-				"*" 
-				"*"
-				"*" 
-				"*")))
+				inFont)))
  	(set! theCharWidth (car (gimp-drawable-width  theText) ))
 	(gimp-edit-cut theImage theText)
 
@@ -196,7 +191,7 @@
 	  (if 	(equal? "" theLine)
 		()
 		(begin 
-		  (set! theText (car (gimp-text theImage 
+		  (set! theText (car (gimp-text-fontname theImage 
 						-1 
 						0 
 						0 
@@ -205,12 +200,7 @@
 						TRUE 
 						inFontSize
 						PIXELS
-						"*" 
-						inFont 
-						"*" 
-						"*" 
-						"*"
-						"*")))
+						inFont)))
 		  (set! theLineHeight (car (gimp-drawable-height  theText) ) )
 		  (gimp-layer-set-offsets theText 
 					  (* theCharWidth theIndent)  
@@ -242,13 +232,13 @@
  "8th April 1998"
  "Chris Gutteridge / ECS @ University of Southampton, England"
  "bar"
- SF-STRING "File Name:"       "afile"
- SF-STRING "Font:"       "Charter"
- SF-VALUE "Font size:"  "45"
- SF-COLOR "Text Color:"      '(0 0 0)
+ SF-FILENAME "File Name"       "afile"
+ SF-FONT "Font"       "-*-Charter-*-r-*-*-24-*-*-*-p-*-*-*"
+ SF-ADJUSTMENT "Font Size (pixels)" '(45 2 1000 1 10 0 1)
+ SF-COLOR "Text Color"      '(0 0 0)
  SF-TOGGLE "Transparent BG?" FALSE
- SF-COLOR "Background Color:"      '(255 255 255)
- SF-VALUE "Buffer amount (% height of text):" "35"
+ SF-COLOR "Background Color"      '(255 255 255)
+ SF-ADJUSTMENT "Buffer amount (% height of text)" '(35 0 100 1 10 0 0)
  SF-TOGGLE "Flatten Image?" TRUE
 )
 
@@ -262,9 +252,9 @@
  "bar"
  SF-IMAGE "Image" 0
  SF-DRAWABLE "Layer" 0
- SF-STRING "File Name:"       "afile"
- SF-STRING "Font:"       "Charter"
- SF-VALUE "Font size:"  "45"
- SF-COLOR "Text Color:"      '(0 0 0)
+ SF-FILENAME "File Name"       "afile"
+ SF-FONT "Font"       "-*-Charter-*-r-*-*-24-*-*-*-p-*-*-*"
+ SF-ADJUSTMENT "Font Size (pixels)" '(45 2 1000 1 10 0 1)
+ SF-COLOR "Text Color"      '(0 0 0)
  SF-TOGGLE "Flatten Image?" TRUE
 )
diff -u scripts.old/basic1-logo.scm scripts/basic1-logo.scm
--- scripts.old/basic1-logo.scm	Wed Aug  5 22:35:33 1998
+++ scripts/basic1-logo.scm	Sat Nov  7 20:10:08 1998
@@ -3,7 +3,7 @@
 
 (define (script-fu-basic1-logo text size font bg-color text-color)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
-	 (text-layer (car (gimp-text img -1 0 0 text 10 TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text 10 TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (bg-layer (car (gimp-layer-new img width height RGB_IMAGE "Background" 100 NORMAL)))
@@ -42,7 +42,7 @@
 		    "1996"
 		    ""
 		    SF-STRING "Text String" "The Gimp"
-		    SF-VALUE "Font Size (in pixels)" "100"
-		    SF-STRING "Font" "Dragonwick"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Dragonwick-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Background Color" '(255 255 255)
 		    SF-COLOR "Text Color" '(6 6 206))
diff -u scripts.old/basic2-logo.scm scripts/basic2-logo.scm
--- scripts.old/basic2-logo.scm	Wed Aug  5 22:35:34 1998
+++ scripts/basic2-logo.scm	Sat Nov  7 20:10:22 1998
@@ -12,7 +12,7 @@
 
 (define (script-fu-basic2-logo text size font bg-color text-color)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
-	 (text-layer (car (gimp-text img -1 0 0 text 10 TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text 10 TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (bg-layer (car (gimp-layer-new img width height RGB_IMAGE "Background" 100 NORMAL)))
@@ -58,7 +58,7 @@
 		    "1996"
 		    ""
 		    SF-STRING "Text String" "SCRIPT-FU"
-		    SF-VALUE "Font Size (in pixels)" "150"
-		    SF-STRING "Font" "futura_poster"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-futura_poster-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Background Color" '(255 255 255)
 		    SF-COLOR "Text Color" '(206 6 50))
diff -u scripts.old/beveled-button.scm scripts/beveled-button.scm
--- scripts.old/beveled-button.scm	Wed Aug  5 22:35:35 1998
+++ scripts/beveled-button.scm	Sat Nov  7 18:50:48 1998
@@ -182,4 +182,4 @@
 		    SF-COLOR "Text color" '(0 0 0)
 		    SF-VALUE "Padding" "2"
 		    SF-VALUE "Bevel width" "4"
-		    SF-VALUE "Pressed?" "FALSE")
+		    SF-TOGGLE "Pressed?" FALSE)
diff -u scripts.old/blended-logo.scm scripts/blended-logo.scm
--- scripts.old/blended-logo.scm	Wed Aug  5 22:35:42 1998
+++ scripts/blended-logo.scm	Sat Nov  7 20:11:43 1998
@@ -14,7 +14,7 @@
 	 (f-size (scale size 0.075))
 	 (ds-size (scale size 0.05))
 	 (ts-size (- b-size-2 3))
-	 (text-layer (car (gimp-text img -1 0 0 text b-size TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text b-size TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (blend-layer (car (gimp-layer-new img width height RGBA_IMAGE "Blend" 100 NORMAL)))
@@ -82,8 +82,8 @@
 		    ""
 		    SF-VALUE "Blend Mode" "FG-BG-RGB"
 		    SF-STRING "Text String" "The GIMP"
-		    SF-VALUE "Font Size (in pixels)" "150"
-		    SF-STRING "Font" "Crillee"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Crillee-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Background Color" '(255 255 255)
 		    SF-COLOR "Text Color" '(124 174 255)
 		    SF-COLOR "Starting Blend" '(22 9 129)
diff -u scripts.old/bovinated-logo.scm scripts/bovinated-logo.scm
--- scripts.old/bovinated-logo.scm	Tue Oct  6 05:27:51 1998
+++ scripts/bovinated-logo.scm	Sat Nov  7 20:11:30 1998
@@ -22,7 +22,7 @@
 (define (script-fu-bovinated-logo text size font)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
          (border (/ size 4))
-	 (text-layer (car (gimp-text img -1 0 0 text border TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text border TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (bg-layer (car (gimp-layer-new img width height RGBA_IMAGE "Background" 100 NORMAL)))
@@ -76,5 +76,5 @@
 		    "April 1998"
 		    ""
 		    SF-STRING "Text String" "Fear the Cow"
-		    SF-VALUE "Font Size (in pixels)" "80"
-		    SF-STRING "Font" "roostheavy")
+		    SF-ADJUSTMENT "Font Size (pixels)" '(80 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-roostheavy-*-r-*-*-24-*-*-*-p-*-*-*")
diff -u scripts.old/camo.scm scripts/camo.scm
--- scripts.old/camo.scm	Tue May 12 23:21:08 1998
+++ scripts/camo.scm	Sat Nov  7 19:45:59 1998
@@ -90,11 +90,11 @@
  "28th April 1998"
  "Chris Gutteridge / ECS @ University of Southampton, England"
  ""
- SF-VALUE "Image Size:" "256"
- SF-VALUE "Granularity (0 - 15):" "7"
- SF-COLOR "Color 1:"      '(33 100 58)
- SF-COLOR "Color 2:"      '(170 170 60)
- SF-COLOR "Color 3:"      '(150 115 100)
+ SF-VALUE "Image Size" "256"
+ SF-ADJUSTMENT "Granularity (0 - 15)" '(7 0 15 1 1 0 0)
+ SF-COLOR "Color 1"      '(33 100 58)
+ SF-COLOR "Color 2"      '(170 170 60)
+ SF-COLOR "Color 3"      '(150 115 100)
  SF-TOGGLE "Smooth?" FALSE
  SF-TOGGLE "Flatten?" TRUE
 )
diff -u scripts.old/carved-logo.scm scripts/carved-logo.scm
--- scripts.old/carved-logo.scm	Fri Nov  6 00:51:33 1998
+++ scripts/carved-logo.scm	Sat Nov  7 20:11:17 1998
@@ -31,7 +31,7 @@
 	 (brush-size (carve-scale size 0.3))
 	 (b-size (carve-scale size 1.5))
 	 (layer1 (car (gimp-image-active-drawable img)))
-	 (mask-layer (car (gimp-text img -1 0 0 text b-size TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (mask-layer (car (gimp-text-fontname img -1 0 0 text b-size TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width mask-layer)))
 	 (height (car (gimp-drawable-height mask-layer)))
 	 (mask-fs 0)
@@ -158,8 +158,8 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "Marble"
-		    SF-VALUE "Font Size (in pixels)" "100"
-		    SF-STRING "Font" "Engraver"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Engraver-*-r-*-*-24-*-*-*-p-*-*-*"
 ;		    SF-STRING "Background Img" (string-append "" gimp-data-dir "/scripts/texture3.jpg")
 		    SF-FILENAME "Background Img" (string-append "" gimp-data-dir "/scripts/texture3.jpg")
 		    SF-TOGGLE "Carve Raised Text" FALSE)
diff -u scripts.old/chalk.scm scripts/chalk.scm
--- scripts.old/chalk.scm	Wed Aug  5 22:35:45 1998
+++ scripts/chalk.scm	Sat Nov  7 20:09:54 1998
@@ -24,7 +24,7 @@
 (define (script-fu-chalk-logo text size font bg-color chalk-color)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
 	 (border (/ size 4))
-	 (text-layer (car (gimp-text img -1 0 0 text border TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text border TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (bg-layer (car (gimp-layer-new img width height RGB_IMAGE "Background" 100 NORMAL)))
@@ -42,7 +42,7 @@
     ; is there any other way to do this?
     ; the sobel edge detect won't work with the methods in other scripts
     (gimp-palette-set-foreground chalk-color)
-    (set! float-layer (car (gimp-text img text-layer 0 0 text border TRUE size PIXELS "*" font "*" "*" "*" "*")))
+    (set! float-layer (car (gimp-text-fontname img text-layer 0 0 text border TRUE size PIXELS font)))
     (gimp-floating-sel-anchor float-layer)
 
     ; the actual effect
@@ -74,7 +74,7 @@
                     "October 1997"
                     ""
                     SF-STRING "Text String" "CHALK"
-                    SF-VALUE "Font Size (in pixels)" "150"
-                    SF-STRING "Font" "Cooper"
+                    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+                    SF-FONT "Font" "-*-Cooper-*-r-*-*-24-*-*-*-p-*-*-*"
                     SF-COLOR "Background Color" '(0 0 0)
                     SF-COLOR "Chalk Color" '(255 255 255))
diff -u scripts.old/chip-away.scm scripts/chip-away.scm
--- scripts.old/chip-away.scm	Wed Oct 21 22:54:37 1998
+++ scripts/chip-away.scm	Sat Nov  7 20:13:31 1998
@@ -38,9 +38,8 @@
 
 (define (script-fu-logo-chip-away text font font-size spread-amount blur-amount invert drop-shadow keep-bump bg-fill keep-back pattern)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
-	 (text-layer (car (gimp-text img -1 0 0
-				     text 30 TRUE font-size PIXELS
-				     "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0
+				     text 30 TRUE font-size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (bg-layer (car (gimp-layer-new img width height RGB_IMAGE "Background" 100 NORMAL)))
@@ -120,8 +119,8 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "Sloth"
-		    SF-STRING "Font" "roostheavy"
-		    SF-VALUE "Font size" "200"
+		    SF-FONT "Font" "-*-roostheavy-*-r-*-*-24-*-*-*-p-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(200 2 1000 1 10 0 1)
 		    SF-VALUE "Chip Amount" "30"
 		    SF-VALUE "Blur Amount" "3"
 		    SF-TOGGLE "Invert?" FALSE
diff -u scripts.old/chrome-logo.scm scripts/chrome-logo.scm
--- scripts.old/chrome-logo.scm	Wed Aug  5 22:35:48 1998
+++ scripts/chrome-logo.scm	Sat Nov  7 20:09:06 1998
@@ -8,7 +8,7 @@
 	 (offx2 (* size (- 0.04)))
 	 (offy2 (* size (- 0.03)))
 	 (feather (* size 0.05))
-	 (text-layer (car (gimp-text img -1 0 0 text b-size TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text b-size TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (layer1 (car (gimp-layer-new img width height RGBA_IMAGE "Layer 1" 100 DIFFERENCE)))
@@ -74,6 +74,6 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "The GIMP"
-		    SF-VALUE "Font Size (in pixels)" "100"
-		    SF-STRING "Font" "Bodoni"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Bodoni-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Background Color" '(191 191 191))
diff -u scripts.old/coffee.scm scripts/coffee.scm
--- scripts.old/coffee.scm	Tue May 12 23:21:08 1998
+++ scripts/coffee.scm	Sat Nov  7 19:38:57 1998
@@ -64,6 +64,6 @@
     "RGBA RGB"
     SF-IMAGE "The Image" 0
     SF-DRAWABLE "The Layer" 0
-    SF-VALUE "Stains:" "3"
-    SF-TOGGLE "Darken Only: (better but only for images with alot of white)" TRUE
+    SF-VALUE "Stains" "3"
+    SF-TOGGLE "Darken Only? (better but only for images with alot of white)" TRUE
 )
diff -u scripts.old/color-cycling.scm scripts/color-cycling.scm
--- scripts.old/color-cycling.scm	Sun Jan  4 00:43:48 1998
+++ scripts/color-cycling.scm	Sat Nov  7 18:56:15 1998
@@ -228,9 +228,9 @@
                     SF-VALUE  "Red color mode (sin:0/cos:1/none:2)" "0"
                     SF-VALUE  "Green color mode (sin:0/cos:1/none:2)" "0"
                     SF-VALUE  "Blue color mode (sin:0/cos:1/none:2)" "0"
-                    SF-VALUE  "Red inversion before transformation" "FALSE"
-                    SF-VALUE  "Green inversion before transformation" "FALSE"
-                    SF-VALUE  "Blue inversion before transformation" "FALSE"
+                    SF-TOGGLE "Red inversion before transformation" FALSE
+                    SF-TOGGLE "Green inversion before transformation" FALSE
+                    SF-TOGGLE "Blue inversion before transformation" FALSE
                     SF-VALUE  "Start: red phase displacement (RAD)" "0"
                     SF-VALUE  "Start: green phase displacement (RAD)" "0"
                     SF-VALUE  "Start: blue phase displacement (RAD)" "0"
@@ -243,7 +243,7 @@
                     SF-VALUE  "End: red frequency (> 0)" "1"
                     SF-VALUE  "End: green frequency (> 0)" "1"
                     SF-VALUE  "End: blue frequency (> 0)" "1"
-                    SF-VALUE  "Red inversion after transformation" "FALSE"
-                    SF-VALUE  "Green inversion after transformation" "FALSE"
-                    SF-VALUE  "Blue inversion after transformation" "FALSE")
+                    SF-TOGGLE "Red inversion after transformation" FALSE
+                    SF-TOGGLE "Green inversion after transformation" FALSE
+                    SF-TOGGLE "Blue inversion after transformation" FALSE)
 
diff -u scripts.old/comic-logo.scm scripts/comic-logo.scm
--- scripts.old/comic-logo.scm	Tue Nov  3 23:18:55 1998
+++ scripts/comic-logo.scm	Sat Nov  7 20:09:18 1998
@@ -22,7 +22,7 @@
 (define (script-fu-comic-logo text size font gradient ol-width)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
          (border (/ size 4))
-	 (text-layer (car (gimp-text img -1 0 0 text border TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text border TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (bg-layer (car (gimp-layer-new img width height RGBA_IMAGE "Background" 100 NORMAL)))
@@ -86,7 +86,7 @@
 		    "April 1998"
 		    ""
 		    SF-STRING "Text String" "Moo"
-		    SF-VALUE "Font Size (in pixels)" "85"
-		    SF-STRING "Font" "tribeca"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(85 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-tribeca-*-i-*-*-24-*-*-*-p-*-*-*"
 		    SF-GRADIENT "Gradient" "Incandescent"
 		    SF-VALUE "Outline width" "5")
diff -u scripts.old/coolmetal-logo.scm scripts/coolmetal-logo.scm
--- scripts.old/coolmetal-logo.scm	Wed Aug  5 22:35:50 1998
+++ scripts/coolmetal-logo.scm	Sat Nov  7 20:07:51 1998
@@ -12,7 +12,7 @@
 	 (amplitude (/ size 40))
 	 (shrink (+ 1 (/ size 30)))
 	 (depth (/ size 20))
-	 (text-layer (car (gimp-text img -1 0 0 text 0 TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text 0 TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (img-width (+ width (* 0.15 height) 10))
@@ -107,7 +107,7 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "Cool Metal"
-		    SF-VALUE "Font Size (in pixels)" "100"
-		    SF-STRING "Font" "Crillee"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Crillee-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Background Color" '(255 255 255)
 		    SF-TOGGLE "Seascape" FALSE)
diff -u scripts.old/crystal-logo.scm scripts/crystal-logo.scm
--- scripts.old/crystal-logo.scm	Fri Nov  6 00:51:36 1998
+++ scripts/crystal-logo.scm	Sat Nov  7 20:08:07 1998
@@ -77,7 +77,7 @@
 	 (blur (sota-scale size 0.5 chrome-factor))
 	 (displace (sota-scale size 0.25 chrome-factor))
 	 (brush-size (sota-scale size 0.5 chrome-factor))
-	 (text-layer (car (gimp-text img -1 0 0 text b-size TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text b-size TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (tile-ret (plug-in-tile 1 back-img back-layer width height TRUE))
@@ -195,8 +195,8 @@
 		    ""
 		    SF-VALUE "Chrome Factor" "1.0"
 		    SF-STRING "Text String" "Crystal"
-		    SF-VALUE "Font Size (in pixels)" "150"
-		    SF-STRING "Font" "Engraver"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Engraver-*-r-*-*-24-*-*-*-p-*-*-*"
 ;		    SF-STRING "Background Img" (string-append "" gimp-data-dir "/scripts/texture1.jpg")
 		    SF-FILENAME "Background Img" (string-append "" gimp-data-dir "/scripts/texture1.jpg")
 ;		    SF-STRING "Environment Map" (string-append "" gimp-data-dir "/scripts/beavis.jpg"))
diff -u scripts.old/distress_selection.scm scripts/distress_selection.scm
--- scripts.old/distress_selection.scm	Tue May 12 23:21:08 1998
+++ scripts/distress_selection.scm	Sat Nov  7 19:39:46 1998
@@ -96,10 +96,10 @@
     "RGB RGBA"
     SF-IMAGE "The Image" 0
     SF-DRAWABLE "The Layer" 0
-    SF-VALUE "Threshold: bigger 1<-->255 smaller" "127"
-    SF-VALUE "Spread:" "8"
-    SF-VALUE "Granularity: (1 is low)" "4"
+    SF-VALUE "Threshold (bigger 1<-->255 smaller)" "127"
+    SF-VALUE "Spread" "8"
+    SF-VALUE "Granularity (1 is low)" "4"
     SF-VALUE "Smooth" "2"
-    SF-TOGGLE "Smooth Horizontally" TRUE
-    SF-TOGGLE "Smooth Vertically" TRUE
+    SF-TOGGLE "Smooth Horizontally?" TRUE
+    SF-TOGGLE "Smooth Vertically?" TRUE
 )
diff -u scripts.old/fade-outline.scm scripts/fade-outline.scm
--- scripts.old/fade-outline.scm	Tue May 19 13:02:15 1998
+++ scripts/fade-outline.scm	Sat Nov  7 19:38:30 1998
@@ -146,7 +146,7 @@
     "RGB RGBA GRAY GRAYA"
     SF-IMAGE "The Image" 0
     SF-DRAWABLE "The Layer" 0
-    SF-VALUE "Border Size:" "10"
+    SF-VALUE "Border Size" "10"
     SF-TOGGLE "Apply generated Layermask?" FALSE
     SF-TOGGLE "Clear unselected Maskarea?" TRUE
 )
diff -u scripts.old/font-map.scm scripts/font-map.scm
--- scripts.old/font-map.scm	Mon Nov 24 22:03:56 1997
+++ scripts/font-map.scm	Sat Nov  7 18:31:40 1998
@@ -68,6 +68,6 @@
 		    "1997"
 		    ""
 		    SF-VALUE "Fonts" "'(\"Agate\" \"AlfredDrake\" \"Becker\" \"Blippo\" \"Bodoni\" \"Dragonwick\" \"Engraver\" \"Futura_Poster\" \"RoostHeavy\")"
-		    SF-VALUE "Font Size" "32"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(32 2 1000 1 10 0 1)
 		    SF-VALUE "Border" "10"
 )
diff -u scripts.old/frosty-logo.scm scripts/frosty-logo.scm
--- scripts.old/frosty-logo.scm	Wed Aug  5 22:35:52 1998
+++ scripts/frosty-logo.scm	Sat Nov  7 20:06:50 1998
@@ -7,7 +7,7 @@
 (define (script-fu-frosty-logo text size font bg-color)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
 	 (border (/ size 5))
-	 (text-layer (car (gimp-text img -1 0 0 text (* border 2) TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text (* border 2) TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (text-layer-mask (car (gimp-layer-create-mask text-layer BLACK-MASK)))
@@ -83,6 +83,6 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "The GIMP"
-		    SF-VALUE "Font Size (in pixels)" "100"
-		    SF-STRING "Font" "Becker"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Becker-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Background Color" '(255 255 255))
diff -u scripts.old/fuzzyborder.scm scripts/fuzzyborder.scm
--- scripts.old/fuzzyborder.scm	Tue May 12 23:21:08 1998
+++ scripts/fuzzyborder.scm	Sat Nov  7 19:40:48 1998
@@ -156,12 +156,12 @@
     "RGB RGBA GRAY GRAYA"
     SF-IMAGE "The Image" 0
     SF-DRAWABLE "The Layer" 0
-    SF-COLOR "Color:"      '(255 255 255)
-    SF-VALUE "Border Size:" "16"
+    SF-COLOR "Color"      '(255 255 255)
+    SF-VALUE "Border Size" "16"
     SF-TOGGLE "Blur Border?" TRUE
-    SF-VALUE "Granularity: (1 is low)" "4"
+    SF-VALUE "Granularity (1 is low)" "4"
     SF-TOGGLE "Add Shadow?" FALSE
-    SF-VALUE "Shadow-Weight (%):" "100"
+    SF-ADJUSTMENT "Shadow-Weight (%)" '(100 0 100 1 10 0 0)
     SF-TOGGLE "Work on Copy?" TRUE
     SF-TOGGLE "Flatten Layers?" TRUE
 )
diff -u scripts.old/gimp-headers.scm scripts/gimp-headers.scm
--- scripts.old/gimp-headers.scm	Wed Aug  5 22:35:53 1998
+++ scripts/gimp-headers.scm	Sat Nov  7 18:31:40 1998
@@ -135,8 +135,8 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "gimp.org"
-		    SF-STRING "Font" "times"
-		    SF-VALUE "Font size" "50"
+		    SF-FONT "Font" "-*-times-*-r-*-*-24-*-*-*-p-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(50 2 1000 1 10 0 1)
 		    SF-COLOR "Text Color" '(82 108 159)
 		    SF-COLOR "Higlight Color" '(190 220 250)
 		    SF-COLOR "Dark Color" '(46 74 92)
@@ -154,8 +154,8 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "gimp.org"
-		    SF-STRING "Font" "helvetica"
-		    SF-VALUE "Font size" "24"
+		    SF-FONT "Font" "-*-helvetica-*-r-*-*-24-*-*-*-p-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(24 2 1000 1 10 0 1)
 		    SF-COLOR "Text Color" '(135 220 220)
 		    SF-COLOR "Higlight Color" '(210 240 245)
 		    SF-COLOR "Dark Color" '(46 74 92)
diff -u scripts.old/gimp-labels.scm scripts/gimp-labels.scm
--- scripts.old/gimp-labels.scm	Wed Aug  5 22:35:54 1998
+++ scripts/gimp-labels.scm	Sat Nov  7 18:31:40 1998
@@ -140,8 +140,8 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "Gimp.Org"
-		    SF-STRING "Font" "helvetica"
-		    SF-VALUE "Font Size" "18"
+		    SF-FONT "Font" "-*-helvetica-*-r-*-*-24-*-*-*-p-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(18 2 1000 1 10 0 1)
 		    SF-STRING "Weight" "medium"
 		    SF-STRING "Slant" "r"
 		    SF-STRING "Width" "normal"
diff -u scripts.old/glossy.scm scripts/glossy.scm
--- scripts.old/glossy.scm	Tue Nov  3 23:18:56 1998
+++ scripts/glossy.scm	Sat Nov  7 20:05:30 1998
@@ -24,7 +24,7 @@
 
 (define (script-fu-glossy-logo text size font blend-gradient-text blend-gradient-outline grow-size bg-color use-pattern-text pattern-text use-pattern-outline pattern-outline use-pattern-overlay pattern-overlay noninteractive shadow-toggle s-offset-x s-offset-y flatten-toggle)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
-         (text-layer (car (gimp-text img -1 0 0 text 30 TRUE size PIXELS "*" font "*" "*" "*" "*")))
+         (text-layer (car (gimp-text-fontname img -1 0 0 text 30 TRUE size PIXELS font)))
          (width (car (gimp-drawable-width text-layer)))
          (height (car (gimp-drawable-height text-layer)))
          (bg-layer (car (gimp-layer-new img width height RGBA_IMAGE "Background" 100 NORMAL)))
@@ -126,8 +126,8 @@
                     "14/04/1998"
                     ""
                     SF-STRING "Text String" "Galaxy"
-                    SF-VALUE "Font Size (in pixels)" "100"
-                    SF-STRING "Font" "Eras"
+                    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+                    SF-FONT "Font" "-*-Eras-*-r-*-*-24-*-*-*-p-*-*-*"
                     SF-GRADIENT "Blend Gradient (text)" "Shadows_2"
                     SF-GRADIENT "Blend Gradient (outline)" "Shadows_2"
                     SF-VALUE "How big outline?" "5"
diff -u scripts.old/glowing-logo.scm scripts/glowing-logo.scm
--- scripts.old/glowing-logo.scm	Wed Aug  5 22:35:56 1998
+++ scripts/glowing-logo.scm	Sat Nov  7 20:05:51 1998
@@ -8,7 +8,7 @@
 	 (feather1 (/ size 3))
 	 (feather2 (/ size 7))
 	 (feather3 (/ size 10))
-	 (text-layer (car (gimp-text img -1 0 0 text border TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text border TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
 	 (glow-layer (car (gimp-layer-copy text-layer TRUE)))
@@ -65,6 +65,6 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "GLOWING"
-		    SF-VALUE "Font Size (in pixels)" "150"
-		    SF-STRING "Font" "Slogan"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Slogan-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Background Color" '(7 0 20))
diff -u scripts.old/gradient-bevel-logo.scm scripts/gradient-bevel-logo.scm
--- scripts.old/gradient-bevel-logo.scm	Tue Oct  6 05:27:53 1998
+++ scripts/gradient-bevel-logo.scm	Sat Nov  7 20:07:18 1998
@@ -22,7 +22,7 @@
 (define (script-fu-gradient-bevel-logo text size font bevel-height bevel-width)
   (let* ((img (car (gimp-image-new 256 256 RGB)))
          (border (/ size 4))
-	 (text-layer (car (gimp-text img -1 0 0 text border TRUE size PIXELS "*" font "*" "*" "*" "*")))
+	 (text-layer (car (gimp-text-fontname img -1 0 0 text border TRUE size PIXELS font)))
 	 (width (car (gimp-drawable-width text-layer)))
 	 (height (car (gimp-drawable-height text-layer)))
          (indentX (+ border 12))
@@ -78,7 +78,7 @@
 		    "April 1998"
 		    ""
 		    SF-STRING "Text String" "Moo"
-		    SF-VALUE "Font Size (in pixels)" "90"
-		    SF-STRING "Font" "futura_poster"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(90 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-futura_poster-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-VALUE "Bevel Height (sharpness)" "40"
 		    SF-VALUE "Bevel Width" "2.5")
diff -u scripts.old/i26-gunya2.scm scripts/i26-gunya2.scm
--- scripts.old/i26-gunya2.scm	Wed Aug  5 22:35:58 1998
+++ scripts/i26-gunya2.scm	Sat Nov  7 18:31:41 1998
@@ -89,8 +89,8 @@
 		    SF-STRING "Text" "The GIMP"
 		    SF-COLOR "Text Color" '(255 0 0)
 		    SF-COLOR "Frame Color" '(0 34 255)
-		    SF-STRING "Font" "Becker"
-		    SF-VALUE "Font Size" "100"
+		    SF-FONT "Font" "-*-Becker-*-r-*-*-24-*-*-*-p-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
 		    SF-VALUE "Frame Size" "2")
 
 ;;; i26-gunya2.scm ends here
diff -u scripts.old/neon-logo.scm scripts/neon-logo.scm
--- scripts.old/neon-logo.scm	Fri Nov  6 00:51:37 1998
+++ scripts/neon-logo.scm	Sat Nov  7 18:52:05 1998
@@ -159,10 +159,8 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "NEON"
-;		    SF-VALUE "Font Size (in pixels)" "150"
-		    SF-ADJUSTMENT "Font Size" '(150 2 256 1 10 0 0)
-;		    SF-STRING "Font" "Blippo"
-		    SF-FONT "Font" "-*-blippo-*-*-*-*-*-*-*-*-*-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-Blippo-*-*-*-*-24-*-*-*-*-*-*-*"
 		    SF-COLOR "Background Color" '(0 0 0)
 		    SF-COLOR "Glow Color" '(38 211 255)
-		    SF-TOGGLE "Create Shadow" FALSE)
+		    SF-TOGGLE "Create Shadow?" FALSE)
diff -u scripts.old/news-text.scm scripts/news-text.scm
--- scripts.old/news-text.scm	Thu Oct 22 12:46:20 1998
+++ scripts/news-text.scm	Sat Nov  7 21:21:38 1998
@@ -20,7 +20,7 @@
 
 
 (define (script-fu-newsprint-text string font font-size cell-size density)
-  (let* ((text-ext (gimp-text-get-extents string font-size PIXELS "*" font "*" "*" "*" "*"))
+  (let* ((text-ext (gimp-text-get-extents-fontname string font-size PIXELS font))
 	 (wid (+ (car text-ext) 20))
 	 (hi  (+ (nth 1 text-ext) 20))
 	 (img (car (gimp-image-new wid hi RGB)))
@@ -37,7 +37,7 @@
     (gimp-edit-clear img bg-layer)
     (gimp-edit-clear img text-layer)
 
-    (gimp-floating-sel-anchor (car (gimp-text img text-layer 10 10 string 0 TRUE font-size PIXELS "*" font "*" "*" "*" "*")))
+    (gimp-floating-sel-anchor (car (gimp-text-fontname img text-layer 10 10 string 0 TRUE font-size PIXELS font)))
 
     (set! text-mask (car (gimp-layer-create-mask text-layer ALPHA-MASK)))
     (gimp-image-add-layer-mask img text-layer text-mask)
@@ -63,8 +63,8 @@
 		    "Austin Donnelly"
 		    "1998"
 		    ""
-		    SF-VALUE "Text String" "\"Newsprint\""
-		    SF-VALUE "Font" "\"Helvetica\""
-		    SF-VALUE "Font Size (in pixels)" "100"
+		    SF-STRING "Text String" "Newsprint"
+		    SF-FONT "Font" "-*-Helvetica-*-r-*-*-24-*-*-*-p-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
 		    SF-VALUE "Cell size (in pixels)" "7"
-		    SF-VALUE "Density (percent)"  "60")
+		    SF-ADJUSTMENT "Density (%)" '(60 0 100 1 10 0 0))
diff -u scripts.old/perspective-shadow.scm scripts/perspective-shadow.scm
--- scripts.old/perspective-shadow.scm	Thu Oct 15 00:23:44 1998
+++ scripts/perspective-shadow.scm	Sat Nov  7 18:53:17 1998
@@ -192,30 +192,5 @@
 		    SF-ADJUSTMENT "Blur Radius" '(3 0 64 1 10 0 0)
 		    SF-COLOR "Color" '(0 0 0)
 		    SF-ADJUSTMENT "Opacity" '(80 0 100 1 10 0 0)
-		    SF-TOGGLE "Interpolate" TRUE
-		    SF-TOGGLE "Allow Resizing" FALSE) 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
+		    SF-TOGGLE "Interpolate?" TRUE
+		    SF-TOGGLE "Allow Resizing?" FALSE) 
diff -u scripts.old/rendermap.scm scripts/rendermap.scm
--- scripts.old/rendermap.scm	Tue Nov  3 23:19:00 1998
+++ scripts/rendermap.scm	Sat Nov  7 19:46:16 1998
@@ -67,8 +67,8 @@
  "Chris Gutteridge / ECS @ University of Southampton, England"
  ""
  SF-ADJUSTMENT "Image Size" '(256 0 2048 1 10 0 0) 
- SF-ADJUSTMENT "Granularity (0 - 15):" '(4 0 15 1 1 0 1)
- SF-GRADIENT "Gradient:" "Land_and_Sea"
+ SF-ADJUSTMENT "Granularity (0 - 15)" '(4 0 15 1 1 0 0)
+ SF-GRADIENT "Gradient" "Land_and_Sea"
  SF-TOGGLE "TRUE = Detail in middle, FALSE = tile" FALSE
 )
 
diff -u scripts.old/sota-chrome-logo.scm scripts/sota-chrome-logo.scm
--- scripts.old/sota-chrome-logo.scm	Fri Nov  6 00:51:38 1998
+++ scripts/sota-chrome-logo.scm	Sat Nov  7 18:49:31 1998
@@ -188,18 +188,12 @@
 		    "Spencer Kimball"
 		    "1997"
 		    ""
-;		    SF-VALUE "Chrome Saturation" "-80"
 		    SF-ADJUSTMENT "Chrome Saturation" '(-80 -100 100 1 10 0 0)
-;		    SF-VALUE "Chrome Lightness" "-47"
 		    SF-ADJUSTMENT "Chrome Lightness" '(-47 -100 100 1 10 0 0)
-;		    SF-VALUE "Chrome Factor" "0.75"
 		    SF-ADJUSTMENT  "Chrome Factor" '(.75 0 1 .1 .01 2 0)
 		    SF-STRING "Text String" "The GIMP"
-;		    SF-VALUE "Font Size (in pixels)" "150"
-		    SF-ADJUSTMENT "Font size (in pixels)" '(150 1 1000 1 10 0 1)
-;		    SF-STRING "Font" "RoostHeavy"
-		    SF-FONT "Font" "-*-roostheavy-*-r-*-*-24-*-*-*-p-*-*-*"
-;		    SF-STRING "Environment Map" (string-append "" gimp-data-dir "/scripts/beavis.jpg")
+		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
+		    SF-FONT "Font" "-*-RoostHeavy-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-FILENAME "Environment Map" (string-append "" gimp-data-dir "/scripts/beavis.jpg")
 		    SF-COLOR "Highlight Balance" '(211 95 0)
 		    SF-COLOR "Chrome Balance" '(0 0 0))
diff -u scripts.old/speed-text.scm scripts/speed-text.scm
--- scripts.old/speed-text.scm	Thu Oct 22 12:46:20 1998
+++ scripts/speed-text.scm	Sat Nov  7 21:24:05 1998
@@ -20,7 +20,7 @@
 
 
 (define (script-fu-speed-text string font font-size density)
-  (let* ((text-ext (gimp-text-get-extents string font-size PIXELS "*" font "*" "*" "*" "*"))
+  (let* ((text-ext (gimp-text-get-extents-fontname string font-size PIXELS font))
 	 (wid (+ (car text-ext) 20))
 	 (hi  (+ (nth 1 text-ext) 20))
 	 (img (car (gimp-image-new wid hi RGB)))
@@ -40,7 +40,7 @@
     (gimp-edit-clear img bg-layer)
     (gimp-edit-clear img text-layer)
 
-    (gimp-floating-sel-anchor (car (gimp-text img text-layer 10 10 string 0 TRUE font-size PIXELS "*" font "*" "*" "*" "*")))
+    (gimp-floating-sel-anchor (car (gimp-text-fontname img text-layer 10 10 string 0 TRUE font-size PIXELS font)))
 
     ; save the selection for later
     (gimp-selection-layer-alpha img text-layer)
@@ -83,7 +83,7 @@
 		    "Austin Donnelly"
 		    "1998"
 		    ""
-		    SF-VALUE "Text String" "\"Speed!\""
-		    SF-VALUE "Font" "\"Charter\""
-		    SF-VALUE "Font Size (in pixels)" "100"
-		    SF-VALUE "Density (percent)" "80")
+		    SF-STRING "Text String" "Speed!"
+		    SF-FONT "Font" "-*-Charter-*-r-*-*-24-*-*-*-p-*-*-*"
+		    SF-ADJUSTMENT "Font Size (pixels)" '(100 2 1000 1 10 0 1)
+		    SF-ADJUSTMENT "Density (%)" '(80 0 100 1 10 0 0))
diff -u scripts.old/sphere.scm scripts/sphere.scm
--- scripts.old/sphere.scm	Mon Nov 24 22:03:58 1997
+++ scripts/sphere.scm	Sat Nov  7 18:56:49 1998
@@ -58,6 +58,6 @@
 		    ""
 		    SF-VALUE "Radius (in pixels)" "100"
 		    SF-VALUE "Lighting (degrees)" "45"
-		    SF-VALUE "Shadow?" "TRUE"
+		    SF-TOGGLE "Shadow?" TRUE
 		    SF-COLOR "Background Color" '(255 255 255)
 		    SF-COLOR "Sphere Color" '(255 0 0))
diff -u scripts.old/starburst-logo.scm scripts/starburst-logo.scm
--- scripts.old/starburst-logo.scm	Sat Aug 15 02:13:36 1998
+++ scripts/starburst-logo.scm	Sat Nov  7 18:31:42 1998
@@ -73,9 +73,9 @@
 		    "1997"
 		    ""
 		    SF-STRING "Text String" "GIMP"
-;		    SF-VALUE "Font Size (in pixels)" "150"
+;		    SF-ADJUSTMENT "Font Size (pixels)" '(150 2 1000 1 10 0 1)
 		    SF-ADJUSTMENT "Font Size (pixels)" '(150 0 512 1 10 0 1)
-;		    SF-STRING "Font" "Blippo"
+;		    SF-FONT "Font" "-*-Blippo-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-FONT "Font" "-*-blippo-*-r-*-*-24-*-*-*-p-*-*-*"
 		    SF-COLOR "Burst Color" '(60 196 33)
 		    SF-COLOR "BG Color" '(255 255 255))
diff -u scripts.old/t-o-p-logo.scm scripts/t-o-p-logo.scm
--- scripts.old/t-o-p-logo.scm	Sat Aug 15 02:13:40 1998
+++ scripts/t-o-p-logo.scm	Sat Nov  7 21:05:23 1998
@@ -49,7 +49,7 @@
     (gimp-selection-grow img (/ edge-size 2.0))
     (gimp-selection-invert img)
     (gimp-edit-clear img sparkle-layer)
-    (if (= 1 edge-only)
+    (if (= edge-only TRUE)
 	(begin
 	  (gimp-selection-load img selection)
 	  (gimp-selection-shrink img (/ edge-size 2.0))
@@ -90,7 +90,7 @@
 		    SF-FONT "Font" "-*-becker-*-r-*-*-24-*-*-*-p-*-*-*"
                     SF-ADJUSTMENT  "Hit Rate [0.0,1.0]" '(0.2 0 1 .01 .01 2 0)
                     SF-ADJUSTMENT "Edge Width" '(2 0 128 1 1 0 0)
-		    SF-VALUE "Edge Only [0/1]" "0"
+		    SF-TOGGLE "Edge Only?" FALSE
 		    SF-COLOR "Base Color" '(0 40 0)
 		    SF-COLOR "Background Color" '(255 255 255))
 
diff -u scripts.old/tileblur.scm scripts/tileblur.scm
--- scripts.old/tileblur.scm	Fri Aug 14 05:19:13 1998
+++ scripts/tileblur.scm	Sat Nov  7 19:37:05 1998
@@ -70,8 +70,7 @@
     "RGBA RGB"
     SF-IMAGE "The Image" 0
     SF-DRAWABLE "The Layer" 0
-;    SF-VALUE "Radius:" "5"
-    SF-ADJUSTMENT "Radius:" '(5 0 128 1 1 0 0)
+    SF-ADJUSTMENT "Radius" '(5 0 128 1 1 0 0)
     SF-TOGGLE "Blur Vertically?" TRUE
     SF-TOGGLE "Blur Horizontally?" TRUE
     SF-TOGGLE "Blur Type: TRUE=RLE, FALSE=IIR" FALSE
diff -u scripts.old/trochoid.scm scripts/trochoid.scm
--- scripts.old/trochoid.scm	Tue Oct 20 23:36:52 1998
+++ scripts/trochoid.scm	Sat Nov  7 20:03:18 1998
@@ -369,9 +369,9 @@
     (gimp-display-new img)
     (gimp-displays-flush)
     (if (or (= base-radius 0) (= wheel-radius 0))
-	(gimp-text img -1 0 0
+	(gimp-text-fontname img -1 0 0
 		   "`Base-radius'\n and\n`Rad.;hyp<0<epi'\n require\n non zero values."
-		   1 1 18 PIXELS "*" "helvetica" "*" "*" "*" "*")
+		   1 1 18 PIXELS "-*-helvetica-*-r-*-*-*-*-*-*-p-*-*-*")
 	(trochoid-rotate-gear total-step-num img the-layer
 			      (/ drawable-size 2) (/ drawable-size 2)
 			      base-radius wheel-radius pen-pos hue-rate
diff -u scripts.old/waves-anim.scm scripts/waves-anim.scm
--- scripts.old/waves-anim.scm	Fri Aug 14 05:19:18 1998
+++ scripts/waves-anim.scm	Sat Nov  7 18:52:35 1998
@@ -96,29 +96,4 @@
 		    SF-ADJUSTMENT "Amplitude"        '(10  1  101 1 10 1 0)
 		    SF-ADJUSTMENT "Wavelength"       '(10 .10 100 1 10 1 0)
 		    SF-ADJUSTMENT "Number of Frames" '(6  1   512 1 10 1 1)
-		    SF-TOGGLE "Invert direction" FALSE)
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
+		    SF-TOGGLE "Invert direction?" FALSE)
